Bug 653843 - [abrt] evolution-2.32.0-2.fc14: (SIGABRT) _XReadEvents, clipboard_get_timestamp, e_focus_tracker_update_actions
Summary: [abrt] evolution-2.32.0-2.fc14: (SIGABRT) _XReadEvents, clipboard_get_timest...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b5cbffbde2072abe7555a5b5ce4...
: 658810 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-16 09:40 UTC by paduparchy
Modified: 2012-08-16 19:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 19:17:09 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (53.97 KB, text/plain)
2010-11-16 09:40 UTC, paduparchy
no flags Details

Description paduparchy 2010-11-16 09:40:35 UTC
abrt version: 1.1.13
architecture: i686
Attached file: backtrace
cmdline: evolution
component: evolution
crash_function: raise
executable: /usr/bin/evolution
kernel: 2.6.35.6-48.fc14.i686
package: evolution-2.32.0-2.fc14
rating: 4
reason: Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1289899412
uid: 500

How to reproduce
-----
1.i try to send/receive message.
2.i'm connected to an exchange 2007 server
3.

Comment 1 paduparchy 2010-11-16 09:40:38 UTC
Created attachment 460799 [details]
File: backtrace

Comment 2 Milan Crha 2010-11-18 09:48:32 UTC
Thanks for a bug report. This seems to be some coincidence in X/gtk+, thus I'm moving it there. It would be good if you could come with some steps to reproduce this consistently, but as I think it's just a coincidence, then I doubt there are any.


Thread 1 (Thread 2087):
#0  0x0011b416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00e2a501 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2  0x00e2bf6e in abort () at abort.c:92
#3  0x00e22e18 in __assert_fail (assertion=0xb53294 "(((long) (req->sequence) - (long) (dpy->xcb->pending_requests->sequence)) < 0)", file=0xb531e9 "xcb_io.c", line=148, function=0xb534c3 "dequeue_pending_request") at assert.c:81
#4  0x00ae34ba in dequeue_pending_request (dpy=<value optimized out>, req=<value optimized out>) at xcb_io.c:148
#5  0x00ae3b74 in poll_for_response (dpy=0x9ae3a00) at xcb_io.c:243
#6  0x00ae3f7e in _XReadEvents (dpy=0x9ae3a00) at xcb_io.c:356
#7  0x00ac27c2 in XIfEvent (dpy=0x9ae3a00, event=0xbfe1a29c, predicate=0x212300 <timestamp_predicate>, arg=0x480003b <Address 0x480003b out of bounds>) at IfEvent.c:69
#8  0x00216835 in IA__gdk_x11_get_server_time (window=0xa01e648) at gdkevents-x11.c:2612
#9  0x02fb5dc3 in clipboard_get_timestamp (clipboard=0x9d00158) at gtkclipboard.c:417
#10 0x02fb6b97 in IA__gtk_clipboard_request_contents (clipboard=0x9d00158, target=0x7b, callback=0x2fb5f20 <request_targets_received_func>, user_data=0xad69568) at gtkclipboard.c:917
#11 0x02fb784e in IA__gtk_clipboard_request_targets (clipboard=0x9d00158, callback=0x64c6260 <focus_tracker_targets_received_cb>, user_data=0x9b9d630) at gtkclipboard.c:1262
#12 0x064c4de4 in e_focus_tracker_update_actions (focus_tracker=0x9b9d630) at e-focus-tracker.c:796
#13 0x0665d3cf in shell_view_update_actions (shell_view=0x9b43828) at e-shell-view.c:764
#14 0x0060ab8f in mail_shell_view_update_actions (shell_view=0x9b43828) at e-mail-shell-view.c:802

Comment 3 abrt-bot 2012-03-20 16:35:54 UTC
*** Bug 658810 has been marked as a duplicate of this bug. ***

Comment 4 Fedora End Of Life 2012-08-16 19:17:11 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.